Videos

Video Imports

Operations dealing with listing, adding and removing video imports.

Cancel video import

POST
https://peertube2.cpy.re/api/v1/videos/imports/{id}/cancel

Cancel a pending video import

Parameters

idid>= 1requiredpath

Entity id

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Retry video import

POST
https://peertube2.cpy.re/api/v1/videos/imports/{id}/retry

PeerTube >= 8.0 Retry a failed or cancelled (PeerTube >= 8.3) video import.

Parameters

idid>= 1requiredpath

Entity id

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Retry the import of a video

POST
https://peertube2.cpy.re/api/v1/videos/{id}/import/retry

PeerTube >= 9.0 Retry the failed or cancelled import of a video, without having to know the video import id.

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

Response

204No Content

successful operation

400Bad Request

the import is not failed or cancelled, or has reached the maximum number of attempts

403Forbidden

the user cannot manage this video import

404Not Found

the video does not exist or has not been imported

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Delete video import

DELETE
https://peertube2.cpy.re/api/v1/videos/imports/{id}

Delete ended video import

Parameters

idid>= 1requiredpath

Entity id

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.